org.apache.ignite.internal.managers.communication

## Interface GridMessageListener

All Superinterfaces:
  EventListener

    public interface GridMessageListener
    extends EventListener

Listener for messages received from remote nodes.

### Method Summary

Methods
`void` `onMessage(UUID nodeId, Object msg)` Notification for received messages.

### Method Detail

#### onMessage

    void onMessage(UUID nodeId,
                 Object msg)

Notification for received messages.

Parameters:
  `nodeId` - ID of node that sent the message. Note that may have already left topology by the time this message is received.
  `msg` - Message received.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016